Đến nội dung


Hình ảnh
- - - - -

Nhờ Viết Lisp


  • Please log in to reply
1 reply to this topic

#1 hnluanutc

hnluanutc

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 27 August 2014 - 11:09 PM

e có 1 đoạn thẳng e muốn chia ra thành các phần ko bằng nhau(ko dùng đc lệnh Me,Div nhé) và khi chia thì có đánh dấu điểm nhờ mọi người viết hộ ạ ,thank all


  • -1

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 28 August 2014 - 08:36 AM

Bạn dùng cái này, dùng được cho cả line,pline,spline,arc,circle... trừ block.

Chọn đối tượng, nhập khoảng cách (cách nhau bởi dấu phẩy) thí dụ : 1.2,2.3,500,1000

chọn diểm bắt đầu (điểm bất kỳ trên đối tượng), chọn điểm cuối (để biết rải theo hướng nào).

Nó sẽ rải point theo thứ tự.

(defun c:rdi(/ vat st1 st2 dd dd1 dc dc1 lenh kc)
  (if (/= 3 (getvar 'pdmode)) (setvar 'pdmode 3))
  (setq vat (car (entsel "\nChon doi tuong:"))
st1 (getstring (strcat "\nKhoang cach <" (if st st "") ">:")))
  (if (/= st1 "") (setq st st1))
  (setq st2 (read (strcat "(" (vl-list->string (subst 32 44 (vl-string->list st))) ")"))
dd (getpoint "\nDiem dau:")
        dc (getpoint "\nDiem cuoi:")
dd1 (vlax-curve-getDistAtPoint vat dd)
dc1 (vlax-curve-getDistAtPoint vat dc)
lenh (if (> dc1 dd1) + -)
kc dd1
  )
  (foreach v st2      
    (command "point" (vlax-curve-getPointAtDist vat (setq kc (lenh kc v)))))
  (princ)
)

  • 0